#---------------------------------------------------------
# Makefile.intel
#
# Makefile for compiling Elec3D code using Intel tool chain
# Run "setup.intel" script before using this
# Module used : intel/2019a 
#
# Chiranjib Sur : March 27, 2020
# Last modified : September 4, 2020
#---------------------------------------------------------

src = src/elecfem3d_mpi_optimized.f 
r2dsrc = src/r2d.cpp

FCOMP = mpiifort
F_COMP_FLAGS = -extend-source 132 -integer-size 64 -fp-model precise -fc=ifort -f90=ifort 
LARGE_INT = -integer-size 64

OPT_FLAGS = -O3

CCOMP = icc
C_COMP_FLAGS = -ffast-math

all: elec3d raw2dat
.PHONY: all

elec3d:
	$(FCOMP) -o bin/elecfem3d_mpi.intel $(src) $(F_COMP_FLAGS) $(LARGE_INT) $(OPT_FLAGS)
raw2dat:
	$(CCOMP) -o bin/raw2dat.intel $(r2dsrc) $(C_COMP_FLAGS) $(OPT_FLAGS)

.PHONY: clean
clean:
	rm -f bin/elecfem3d_mpi.intel
	rm -f bin/raw2dat.intel

